:root {
    /* text color */
   --color-primary: #000000;
   --color-secondary: #FFFFFF;
   --color-action: #EF06EF;
   --color-download-link: #EF06EF;

   /* background color */
   --bg-color-primay: #EFF0FE;
   --bg-color-secondary: #FFFFFF;
   --bg-color-action-button: #FFFFFF;
   --bg-color-card: #FFFFFF;
   --bg-color-header: #FFFFFF;
   --bg-color-footer: #000000;
   --bg-color-contact: #FFFFFF;
   --bg-color-burger: #EF06EF;

   /* font family, weight and sizes styling*/
   --ff-primary: 'Poppins', sans-serif;

   --ff-body: var(--ff-primary);
   --ff-banner-caption: var(--ff-primary);
   --ff-heading: var(--ff-primary);
   --ff-action-button: var(--ff-primary);
   --ff-header: var(--ff-primary);
   --ff-footer: var(--ff-primary);

   --fw-regular: 400;
   --fw-regular-italy: 400;
   --fw-medium: 500;
   --fw-semibold: 600;
   --fw-bold: 700;

   --fw-header: var(--fw-semibold);
   --fw-action-button: var(--fw-semibold);
   --fw-body: var(--fw-regular);
   --fw-banner-heading: var(--fw-bold);
   --fw-banner-text: var(--fw-regular);
   --fw-title-heading: var(--fw-semibold);
   --fw-body-italy: var(--fw-regular-italy);
   --fw-footer: var(--fw-regular);

   --fs-200: 0.8rem;
   --fs-300: 1rem;
   --fs-400: 1.3rem;
   --fs-500: 1.5rem;
   --fs-600: 1.8rem;
   --fs-700: 2.3rem;

   --fs-business-name: var(--fs-400);
   --fs-navigation: var(--fs-300);
   --fs-body: var(--fs-200);
   --fs-banner-heading: var(--fs-700);
   --fs-banner-text: var(--fs-400);
   --fs-action-button: var(--fs-500);
   --fs-title-heading: var(--fs-300);
   --fs-first-service-title: var(--fs-400);
   --fs-about-heading: var(--fs-400);
   --fs-footer: var(--fs-200);

   /*HTML body general left/right margin*/
   --page-margin: 12%;

   /* footer height can be easily adjusted here */
   --footer-height: 9rem;
}

* {
    width: auto;
    height: auto;
    margin: 0;
    padding: 0;
    font: inherit;
}

html, body {
    width: 100%;
    height: 100%;
    background-color: var(--bg-color-primay);
    scroll-behavior: smooth;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
    width: 100%;
    height: 5rem;
    background-color: var(--bg-color-header);
    /* position: fixed;*/
    z-index: 4;
}
header .business {
    display: inherit;
    margin-left: var(--page-margin);
    flex-shrink: 0;
}

header ul {
    margin-right: var(--page-margin);
    flex-shrink: 0;
}
header .business a {
    display: inherit;
    text-decoration: none;
    align-items: center;
    gap: 1rem;
}

.logo {
    flex-shrink: 3;
}

.business-name {
    flex-shrink: 2;
    color: var(--color-primary);
    font-family: var(--ff-header);
    font-size: var(--fs-business-name);
    font-weight: var(--fw-header);
    padding: 0.7rem 0.7rem 0.7rem 0;
}

.business-name:hover {
    color: #EF06EF;
}

.primary-nav {
    display: flex;
    flex-wrap: nowrap;
    height: inherit;
}

.primary-nav li {
    list-style: none;
    align-self: center;
    align-content: center;
    margin: 0.3rem;
    font-family: var(--ff-header);
    font-size: var(--fs-navigation);
    font-weight: var(--fw-header);
}


.primary-nav li a {
    color: var(--color-primary);
    text-decoration: none;
    padding: 0.5rem 1.5rem;
    transition:0.5s ease;
    transform: translateX(0%)
}

.primary-nav li a:hover {
    color: #EF06EF;
}

.primary-nav li .contact {
    background-color: var(--bg-color-action-button);
    border-radius: 1.5rem;
    border: 0.2rem solid #EF06EF;
    color: var(--color-action);
    font-family: var(--ff-action-button);
    font-size: var(--fs-header);
    font-weight: var(--fw-action-button);
    transition: all 0.3s;

}

.primary-nav li .contact:hover {
    color: #FFFFFF;
    background-color: #EF06EF;

}
.burger {
    display: none;
    margin-right: var(--page-margin);
}

.burger div {
    width: 2rem;
    height: 0.3rem;
    border-radius: 0.3rem;
    background: var(--bg-color-burger);
    margin: 0.3rem;
    transition:all 0.5s ease;
}

/* banner style starts here */
.primary-banner {
    display: flex;
    align-items: center;
    width: 100%;
    height: calc(100vh - 5rem);
    background-image: url(images/banner-background-image.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 70% 30%;
}

.primary-banner-div {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: flex-start;
    height: 90%;
    width: 50%;
    margin-left: var(--page-margin);

}

.primary-banner .banner-welcome-msg {
    color: var(--color-secondary);
    font-family: var(--ff-banner-caption);
    font-size: var(--fs-banner-heading);
    font-weight: var(--fw-banner-heading);
    text-transform: uppercase;
    text-shadow: 0 0 0 #000000;
}

.primary-banner .banner-description-text {
    color: var(--color-secondary);
    font-family: var(--ff-banner-caption);
    font-size: var(--fs-banner-text);
    font-weight: var(--fw-banner-text);
    text-shadow: 0 0 0 #000000;
}

/* apart from header contact, all buttons takes same styling. Little adjustments may apply to some buttons due to size*/
.action-button {
    display: block;
    align-self: center;
    align-content: center;
    color: var(--color-action);
    border-radius: 1.5rem;
    border: 0.2rem solid #EF06EF;
    box-shadow: none;
    box-sizing: border-box;
    background-color: var(--bg-color-action-button);
    font-family: var(--ff-action-button);
    font-size: var(--fs-action-button);
    font-weight: var(--fw-action-button);
    width: 10.5rem;
    height: 3rem;
    transition: all 0.3s;
    cursor: pointer;
}

.action-button:hover {
    color: var(--color-secondary);
    background-color: #EF06EF;
    transform: translateY(-15%);
}

/* this is the second section of the page which is the services*/

.services-section {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
}

.business-services-divs {
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    grid-template-rows: repeat(2, 1fr);
    margin: 2rem var(--page-margin);
    justify-content: center;
    align-items: center;
}

.services-div {
    color: var(--color-primary);
    background-color: var(--bg-color-card);
    border-radius: 1.5rem;
    height: 12rem;
    width: 16.8rem;
    justify-self: center;
    align-self: center;
    font-family: var(--ff-primary);
    font-size: var(--fs-body);
    font-weight: var(--fw-body);
    padding: 2rem;
    transition: all 0.3s;
    box-shadow: 0rem 0.1rem 0.2rem #d5d6e9;
}

.services-div:hover {
    transform: translateY(-2%);
}

.services-div:nth-child(1) {
    color: var(--color-primary);
    background-color: var(--bg-color-primay) !important;
    box-shadow: none;
}

.services-div:nth-child(1):hover {
    transform: translateY(0%);
}

.services-div .download-form-link {
    display: flex;
    transition: all 0.3s;
    justify-content: end;
    align-content: center;
}

.services-div .download-form-link a {
    color: var(--color-download-link);
    text-decoration: none;
    text-transform: lowercase;
    font-style: italic;
    margin: 0.2rem;
    padding: 0.3rem;
}

.services-div .download-form-link a:hover {
    transform: translateY(-15%);
    text-decoration: underline;
}

.service-icon-and-title {
    display: grid;
    grid-template-columns: 2rem calc(100% - 2rem);
    align-items: center;
    justify-content: flex-start;
    margin-bottom: 1rem;
}

.service-title {
    color: var(--color-primary);
    font-family: var(--ff-body);
    font-size: var(--fs-title-heading);
    font-weight: var(--fw-title-heading);
    margin-left: -0.5rem;
    text-transform: capitalize;
    text-align: center;
    justify-self: center;
}

.first-service-title {
    display: flex;
    color: var(--color-primary);
    font-family: var(--ff-body);
    font-size: var(--fs-first-service-title);
    font-weight: var(--fw-title-heading);
    text-transform: capitalize;
    margin-bottom: 1.2rem;
}


.services-section .action-button {
    width: 13rem;
}

/* the about section styling starts here */

.about-business-section {
    display: block;
    width: 100%;
    height: auto;
    /* margin: 2rem 0 2rem 0; */
}

.about-general-div {
    margin: 2rem var(--page-margin) 0 var(--page-margin);
}

.about-h2 {
    color: var(--color-primary);
    font-family: var(--ff-heading);
    font-size: var(--fs-about-heading);
    font-weight: var(--fw-title-heading);
    border-bottom: 0.1rem solid #000000;
    height: 2rem;
    margin-bottom: 2rem;
}

.about-business-divs {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    gap: 1rem;
    justify-content: center;
    align-content: center;
}

.about-individuals-div {
    display: inherit;
    width: 20.8rem;
    height: 28.3rem;
    margin-bottom: 1rem;
    align-items: end;
    justify-content: center;
    justify-self: center;
    padding: 0;
    transition: all 0.3s;
}

.about-individuals-div:hover {
    transform: translateY(-2%);
}

.about-individuals-card {
    display: inherit;
    grid-template-rows: 5rem 1fr;
    justify-self: center;
    align-items: center;
    border-radius: 1.5rem;
    width: 16.8rem;
    height: 20rem;
    background-color: var(--bg-color-card);
    box-shadow: 0rem 0.1rem 0.2rem #d5d6e9;
    padding: 2rem;
}

.about-individuals-card img {
    width: 10rem;
    height: 10rem;
    border-radius: 50%;
    border: 0.4rem solid #FFFFFF;
    background-repeat: no-repeat;
    position: relative;
    margin: 0 auto 0 auto;
    transform: translateY(-30%);
    overflow: hidden;
}

.about-card-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    width: 100%;
    height: 100%;
}

.about-individual-title {
    width: 100%;
    height: auto;
}

.about-card-text h3 {
    color: var(--color-primary);
    font-family: var(--ff-heading);
    font-size: var(--fs-title-heading);
    font-weight: var(--fw-title-heading);
    text-align: center;
    text-transform: uppercase;
}

.about-card-sub-text {
    color: var(--color-primary);
    font-family: var(--ff-heading);
    font-size: var(--fs-body);
    font-weight: var(--fw-body-italy);
    font-style: italic;
    text-align: center;
    text-transform: capitalize;
}

.about-body-text {
    color: var(--color-primary);
    font-family: var(--ff-body);
    font-size: var(--fs-body);
    font-weight: var(--fw-body);
    text-align: center;
    text-transform: none;
}

/* footer styling begins here */
footer {
    width: 100%;
    height: var(--footer-height);
    color: var(--color-secondary);
    background-color: var(--bg-color-footer);
    font-family: var(--ff-footer);
    font-size: var(--fs-footer);
    font-weight: var(--fw-footer);
    overflow: hidden;
}

footer a {
    text-decoration: none;
    color: var(--color-secondary);
    padding: 0.3rem 0.3rem 0.3rem 0;
}

footer a:hover {
    color: #EF06EF;
}

footer ul li {
    display: flex;
    flex-direction: column;
    list-style: none;
    gap: 0.5rem;
}

.footer-general-div {
    display: grid;
    grid-template-columns: repeat(3, auto);
    justify-content: space-between;
    align-items: start;
    height: 100%;
    margin: 0 var(--page-margin) 0 var(--page-margin);
    padding: 1rem 0 1rem 0;
}

.footer-copyright-div {
    display: inherit;
    grid-area: 1/2/1/2;
    width: 19rem;
    justify-self: center;
    align-self: center;
}

.footer-first-nav-list {
    width: 6rem;
}

.footer-second-nav-list {
    justify-self: center;
    grid-area: 1/2/1/2;
    margin-left: 1rem;
}

.copyright-div-items {
    display: flex;
    width: 19rem;
    align-items: center;
    justify-content: center;
}

.copyright-div-items img {
    width: 3rem;
    height: 3rem;
}

.copyright-div-items  p {
    margin-left: 0.5rem;
}

/* here I styled the footer contact details using grid to make it position the way it is on the UI and also be responsive */
.contact-info {
    display: grid;
    grid-template-columns: minmax(auto, 5rem) minmax(auto, 12rem);
    grid-template-rows: repeat(3, auto);
    gap: 0.5rem;
    padding: 0.3rem 0 0.3rem 0.3rem ;
}

.contact-info .tel-tab {
    grid-row: 1/1;
    grid-column: 1/1;
}

.contact-info .tel-numbers {
    grid-row: 1/1;
    grid-column: 2/2;
}

.contact-info .email-tab {
    grid-row: 2/2;
    grid-column: 1/1;
}

.contact-info .email-address {
    grid-row: 2/2;
    grid-column: 2/2;
}

.contact-info .location-tab {
    grid-row: 3/3;
    grid-column: 1/1;
}

.contact-info .location-address {
    grid-row: 3/3;
    grid-column: 2/2;
}
/* end of footer contact details styling */

/* contact page styling starts here */

.contact-page {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: calc(100vh - calc(5rem + var(--footer-height)));
    /* padding: 2rem 0 2rem 0; */
}

.contact-page-main-div {
    display: inherit;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
    color: var(--color-primary);
    font-family: var(--ff-body);
    font-size: var(--fs-body);
    font-weight: var(--fw-body);
    background-color: var(--bg-color-contact);
    width: auto;
    height: 18rem;
    margin: 0 var(--page-margin) 0 var(--page-margin);
    padding: 2rem;
    border-radius: 1.5rem;
    box-shadow: 0rem 0.1rem 0.2rem #d5d6e9;
}

.contact-page-main-div h2 {
    font-size: var(--fs-title-heading);
    font-weight: var(--fw-title-heading);
    box-sizing: border-box;
    border-bottom: 0.1rem solid #000000;
    height: 2rem;
    margin-bottom: 1rem;
}

/* this grid styles the address, tel, and email to position them properly with a gap */

.cp-details {
    display: grid;
    grid-template-columns: 6rem auto;
    grid-template-rows: repeat(6, auto);
    gap: 1rem;
    width: inherit;
    height: auto;
}

.cp-details .cp-location-tab {
    grid-row: 1/1;
    grid-column: 1/1;
}

.cp-details .cp-location-address {
    grid-row: 1/1;
    grid-column: 2/2;
}

.cp-details .cp-tel-tab {
    grid-row: 2/2;
    grid-column: 1/1;
}

.cp-details .cp-tel-numbers {
    grid-row: 2/2;
    grid-column: 2/2;
}

.cp-details .cp-email-tab {
    grid-row: 3/3;
    grid-column: 1/1;
}

.cp-details .cp-email-address {
    grid-row: 3/3;
    grid-column: 2/2;
}

.cp-details .cp-email-address a {
    width: 12rem;
}

.cp-details .enroll-text {
    grid-area: 4/1/4/-1;
}

.cp-details .cp-download-form {
    grid-area: 5/1/5/-1;
}

.cp-details .ibw-website-link {
    grid-area: 6/1/6/-1;
}

.cp-details a {
    display: inherit;
    text-decoration: none;
    color: var(--color-primary);
    font-family: var(--ff-body);
    font-size: var(--fs-body);
    font-weight: var(--fw-body);
    margin: 0 0.3rem 0.3rem 0;
    padding: 0 0.3rem 0.3rem 0;
    transition: all 0.3s;
}

.cp-details a:hover {
    transform: translateY(-15%);
    text-decoration: underline;
}

.cp-details .cp-download-form a {
    color: var(--color-download-link);
    font-style: italic;
    width: 12rem;
}

.cp-details .ibw-website-link a {
    display: inherit;
    width: 15rem;
}
/* end of cp-details grid styling. to edit grid, only change code above*/

@media screen and (max-width: 350px) {
    :root{
        --page-margin: 5%;
        
        --fs-200: 0.60rem;
        --fs-300: 0.7rem;
        --fs-400: 0.8rem;
        --fs-500: 1rem;
        --fs-600: 1.2rem;
        --fs-700: 1.4rem;

        --footer-height: 18rem;

        --cp-footer-height: 9.5rem; /*contact page footer height*/
    }
   
    html, body {
        overflow-x: hidden;
    }

    header {
        gap: 0;
        position: relative !important; 
    }

    header .business a {
        gap: 0.5rem;
    }
    
    .logo {
        width: 2rem;
        height: 1.5rem;
    }

    .business-name {
        display: none;
    }
    
    .primary-nav {
        position: absolute !important;
        right: 0;
        top: 5rem;
        height: 15rem;
        border-radius: 0 0 1rem 1rem;
        background: hsla(0, 0%, 0%, 80%);
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 40%;
        margin: 0;
        padding: 0;
        transform: translateX(100%);
        transition: All 0.5s ease-in;
        visibility: hidden;
        z-index: 4;
    }

    .primary-nav li {
        display: flex;
        justify-content: center;
        opacity: 0;
    }

    .primary-nav li a {
        color: var(--color-secondary);
    }

    .primary-nav li .contact {
        color: var(--color-secondary);
        background-color: inherit;
        border-radius: none;
        border: none;
    }
    
    .primary-nav li .contact:hover {
        color: #EF06EF;
        background-color: inherit;
    
    }

    .burger {
        display: block;
    } 

    /* banner section */
    .primary-banner {
        background-position: 50% 50%;       
    }

    .primary-banner-div {
        width: 85%;
    }

    .action-button {
        width: 9rem;
    }

    /* service section */
    .business-services-divs {
        margin-top: 0.5rem;
    }

    .services-div {
        width: 12rem;
        height: 10rem;
    }

    .services-div:nth-child(1) {
        height: 9rem;
    }

    .services-section .action-button {
        width: 10rem;
    }

    /* about section */
    .about-individuals-div {
        width: 16rem;
        height: 25.3rem;
        justify-self: center;
    }

    .about-individuals-card {
        width: 12rem;
        height: 17rem;
    }

    /* footer section */
    footer {
        overflow-x: scroll;
    }

    .footer-general-div {
        grid-template-columns: 4rem 11rem;
        grid-template-rows: repeat(3, auto);
        gap: 0;
        /* padding: 1rem 0 1rem 0; */
    }

    .footer-first-nav-list {
        grid-row: 1/1;
        grid-column: 1/1;
    }

    .footer-second-nav-list {
        grid-row: 1/1;
        grid-column: 2/2;
        justify-self: end;
        margin-left: 0;
    }

    .footer-contact-div {
        grid-area: 2/1/2/-1;
    }

    .contact-info {
        grid-template-columns: 3rem auto;
        grid-template-rows: repeat(3, auto);
        padding: 0rem;
        /* this edits the spacing of the contact details on the contact div.  */
    } 
    
    .footer-copyright-div {
        grid-area: 3/1/3/-1;
        align-self: start;
        justify-content: center;
    }

    .copyright-div-items {
        width: 14rem;
        align-self: center;
        justify-self: center;
    }

    /* contact page styling for mobile v */
    .contact-page-main-div {
        width: 12rem;
        justify-content: center;
        height: 15rem;
    }

    .contact-page-main-div h2 {
        height: 1.2rem;
        margin-bottom: 0;
    }

    .cp-details {
        grid-template-columns: 3rem 9rem;
        grid-template-rows: repeat(6, auto);
        gap: 0.1rem;
    }

    /* mobile v contact page footer styling */
    .contact-page {
        height: calc(100% - calc(5rem + var(--cp-footer-height)));
        /* padding: auto 0 auto 0; */
    }

    .cp-footer {
        height: var(--cp-footer-height);
    }

    .cp-footer-contact {
        display: none;
    }

}

@media screen and (min-width: 350px) and (max-width: 500px) {
    :root{
        --page-margin: 5%;
        
        --fs-200: 0.73rem;
        --fs-300: 0.8rem;
        --fs-400: 1rem;
        --fs-500: 1.2rem;
        --fs-600: 1.4rem;
        --fs-700: 1.6rem;

        --footer-height: 18rem;

        --cp-footer-height: 9.5rem; /*contact page footer height*/
    }
   
    html, body {
        overflow-x: hidden;
    }

    header {
        gap: 0;
        position: relative !important; 
    }

    header .business a {
        gap: 0.5rem;
    }
    
    .logo {
        width: 2rem;
        height: 1.5rem;
    }
    
    .primary-nav {
        position: absolute !important;
        right: 0;
        top: 5rem;
        height: 15rem;
        border-radius: 0 0 1rem 1rem;
        background: hsla(0, 0%, 0%, 80%);
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 40%;
        margin: 0;
        padding: 0;
        transform: translateX(100%);
        transition: All 0.5s ease-in;
        visibility: hidden;
        z-index: 4;
    }

    .primary-nav li {
        display: flex;
        justify-content: center;
        opacity: 0;
    }

    .primary-nav li a {
        color: var(--color-secondary);
    }

    .primary-nav li .contact {
        color: var(--color-secondary);
        background-color: inherit;
        border-radius: none;
        border: none;
    }
    
    .primary-nav li .contact:hover {
        color: #EF06EF;
        background-color: inherit;
    
    }

    .burger {
        display: block;
    } 

    /* banner section */
    .primary-banner {
        background-position: 50% 50%;       
    }

    .primary-banner-div {
        width: 85%;
    }

    .action-button {
        width: 9rem;
    }

    /* service section */
    .business-services-divs {
        margin-top: 0.5rem;
    }


    .services-div:nth-child(1) {
        height: 9rem;
    }

    .services-section .action-button {
        width: 10rem;
    }

    /* footer section */
    .footer-general-div {
        grid-template-columns: repeat(2, auto);
        grid-template-rows: repeat(3, auto);
        /* padding: 1rem 0 1rem 0; */
    }

    .footer-first-nav-list {
        grid-row: 1/1;
        grid-column: 1/1;
    }

    .footer-second-nav-list {
        grid-row: 1/1;
        grid-column: 2/2;
        justify-self: end;
    }

    .footer-contact-div {
        grid-area: 2/1/2/-1;
        justify-self: center;
    }

    .contact-info {
        grid-template-columns: 4rem auto;
        padding: 0rem;
        /* this edits the spacing of the contact details on the contact div.  */
    } 
    
    .footer-copyright-div {
        grid-area: 3/1/3/-1;
        align-self: start;
        justify-self: center;
    }

    /* contact page styling for mobile v */
    .contact-page-main-div {
        height: 17rem;
        width: 18rem;
        justify-content: center;
    }

    .contact-page-main-div h2 {
        height: 1.2rem;
        margin-bottom: 0;
    }

    .cp-details {
        grid-template-columns: 3.4rem auto;
        grid-template-rows: repeat(6, auto);
        gap: 0.1rem;
    }

    /* mobile v contact page footer styling */
    .contact-page {
        height: calc(100% - calc(5rem + var(--cp-footer-height)));
        padding: auto 0 auto 0;
    }

    .cp-footer {
        height: var(--cp-footer-height);
    }

    .cp-footer-contact {
        display: none;
    }

}


@media screen and (min-width: 500px) and (max-width: 768px) {

    :root{
        --page-margin: 16%;

        --fs-200: 0.73rem;
        --fs-300: 0.8rem;
        --fs-400: 1.2rem;
        --fs-500: 1.4rem;
        --fs-600: 1.6rem;
        --fs-700: 1.8rem;

        --footer-height: 18rem;
    }
   
    html, body {
        overflow-x: hidden;
    }

    header {
        position: relative !important; 
    }

    header .business a {
        gap: 0.5rem;
    }
    
    .logo {
        width: 2rem;
        height: 1.5rem;
    }
    
    .primary-nav {
        position: absolute !important;
        right: 0;
        top: 5rem;
        height: 15rem;
        border-radius: 0 0 1rem 1rem;
        background: hsla(0, 0%, 0%, 80%);
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 40%;
        margin: 0;
        padding: 0;
        transform: translateX(100%);
        transition: All 0.5s ease-in;
        visibility: hidden;
        z-index: 4;
    }

    .primary-nav li {
        display: flex;
        justify-content: center;
        opacity: 0;
    }

    .primary-nav li a {
        color: var(--color-secondary);
    }

    .primary-nav li .contact {
        color: var(--color-secondary);
        background-color: inherit;
        border-radius: none;
        border: none;
    }
    
    .primary-nav li .contact:hover {
        color: #EF06EF;
        background-color: inherit;
    
    }

    .burger {
        display: block;
    } 

    /* banner section */
    .primary-banner {
        background-position: 50% 50%;       
    }

    .primary-banner-div {
        width: 75%;
    }

    /* service section */
    .business-services-divs {
        margin-top: 0.5rem;
    }


    .services-div:nth-child(1) {
        height: 9rem;
    }

    /* footer section */
    .footer-general-div {
        grid-template-columns: repeat(2, auto);
        grid-template-rows: repeat(3, auto);
        /* padding: 1rem 0 1rem 0; */
    }

    .footer-first-nav-list {
        grid-row: 1/1;
        grid-column: 1/1;
    }

    .footer-second-nav-list {
        grid-row: 1/1;
        grid-column: 2/2;
        justify-self: end;
    }

    .footer-contact-div {
        grid-area: 2/1/2/-1;
        justify-self: center;
    }

    .contact-info {
        grid-template-columns: 4rem auto;
        padding: 0;
        /* this edits the spacing of the contact details on the contact div.  */
    } 
    
    .footer-copyright-div {
        grid-area: 3/1/3/-1;
        align-self: start;
        justify-self: center;
    }

    /* contact page styling for mobile v */
    .contact-page {
        height: auto;
        padding: 5rem 0 auto 0;
    }
    
    .contact-page-main-div {
        margin-top: 18%;
        margin-bottom: 18%;
        height: 20rem;
        width: 20rem;
        justify-content: center;
    }

    .contact-page-main-div h2 {
        height: 1.2rem;
        margin-bottom: 0;
    }

    .cp-details {
        grid-template-columns: 3.4rem auto;
        grid-template-rows: repeat(6, auto);
        gap: 0.1rem;
    }

}

@media screen and (min-width: 768px) and (max-width: 933px) {

    :root{
        --page-margin: 16%;

        --fs-200: 0.73rem;
        --fs-300: 0.8rem;
        --fs-400: 1.2rem;
        --fs-500: 1.4rem;
        --fs-600: 1.6rem;
        --fs-700: 1.8rem;
    }

    html, body {
        overflow-x: hidden;
    }

    header {
        position: relative !important; 
    }

   .primary-nav {
        position: absolute !important;
        right: 0;
        top: 5rem;
        height: 15rem;
        border-radius: 0 0 1rem 1rem;
        background: hsla(0, 0%, 0%, 80%);
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 40%;
        margin: 0;
        padding: 0;
        transform: translateX(100%);
        transition: All 0.5s ease-in;
        visibility: hidden;
        z-index: 4;
    }

    .primary-nav li {
        display: flex;
        justify-content: center;
        opacity: 0;
    }

    .primary-nav li a {
        color: var(--color-secondary);
    }

    .primary-nav li .contact {
        color: var(--color-secondary);
        background-color: inherit;
        border-radius: none;
        border: none;
    }
    
    .primary-nav li .contact:hover {
        color: #EF06EF;
        background-color: inherit;
    
    }

    .burger {
        display: block;
    } 

    /* banner section */
    .primary-banner-div {
        width: 60%;
    }

    /* contact page */
    .contact-page {
        height: auto;
        padding: 5rem 0 auto 0;
    }
    
    .contact-page-main-div {
        margin-top: 27%;
        margin-bottom: 27%;
        height: 28rem;
        width: 27rem;
        justify-content: center;
    }
   

}

@media screen and (min-width: 933px) and (max-width: 1306px) {

    :root{
        --page-margin: 12%;

        --fs-200: 0.73rem;
        --fs-300: 0.8rem;
        --fs-400: 1.2rem;
        --fs-500: 1.4rem;
        --fs-600: 1.6rem;
        --fs-700: 1.8rem;
    }

    /* service section */
    .business-services-divs {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, 1fr);
    }

    .about-business-divs {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, auto);
    }

    /* about section */
    .about-business-divs .first-child {
        grid-area: 1/1/1/1;
    }

    .about-business-divs .second-child {
        grid-area: 1/2/1/-1;
    }

    .about-business-divs .third-child {
        grid-area: 2/1/2/-1;
        justify-self: center;
    }

} 

@media screen and (min-width: 1745px) and (max-width: 2000px) {

    :root{
        --page-margin: 20%;
    }


} 

@media screen and (min-width: 2200px) and (max-width: 100vw) {

    :root{
        --page-margin: 25%;
    }

}


/* below are the styling to what happens when the burger menu is toggled. */
.nav-active {
    transform: translateX(0);
    visibility: visible;
}

@keyframes navLinkFade{
    from {
        opacity: 0;
        transform: translateX(50px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }

}

.toggle .line1{
    transform: rotate(-45deg) translate(-5px,6px );
}

.toggle .line2{
    opacity: 0;
}

.toggle .line3{
    transform: rotate(45deg) translate(-5px,-6px );
}


/* animation for services and about divs */
.fadeIn {
    animation: fadeIn 1.5s ease-out;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateX(-20%);
    }

    to {
        opacity: 1;
        transform: translateX(0%);
    }
}